Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.rules
Interface BindingHelper

All Known Implementing Classes:
  DataRangeBindingHelper, DatavaluePropertyBindingHelper, ObjectVariableBindingHelper

    public interface BindingHelper

Title: Binding Helper

Description: Binding helper interface.

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Author:
  Ron Alford

Method Summary
`java.util.Collection<? extends AtomVariable>` | `getBindableVars()` Returns a set of variables which this binding helper can bind.
`java.util.Collection<? extends AtomVariable>` | `getPrerequisiteVars()` Returns a set of variables which must be bound before this helper can generate bindings.
`void` | `rebind(VariableBinding newBinding)` Set the incoming binding for this helper.
`boolean` | `selectNextBinding()` Selects the next binding.
`void` | `setCurrentBinding(VariableBinding currentBinding)` Set the variables this pattern uses in the given map.

Method Detail

### getBindableVars

    java.util.Collection<? extends AtomVariable> getBindableVars()

  Returns a set of variables which this binding helper can bind.

### getPrerequisiteVars

    java.util.Collection<? extends AtomVariable> getPrerequisiteVars()

  Returns a set of variables which must be bound before this helper can generate bindings.

### rebind

    void rebind(VariableBinding newBinding)

  Set the incoming binding for this helper. This fixes any variables that are already bound by a preceding Binding Helper.

  Parameters:
    `newBinding` - Binding map. Implementation will copy map if needed.

### selectNextBinding

    boolean selectNextBinding()

  Selects the next binding.

  Returns:
    True if a binding was available for this pattern given the initial binding. False otherwise. Will return if the binding is not set.

### setCurrentBinding

    void setCurrentBinding(VariableBinding currentBinding)

  Set the variables this pattern uses in the given map.

  Parameters:
    `currentBinding` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.